Package org.eclipse.emf.cdo.server.ocl

## Class CDOExtentCreator

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

- All Implemented Interfaces:
    `OCLExtentCreator`
  Direct Known Subclasses:
    `CDOExtentCreator.Lazy`

      public class CDOExtentCreator
      extends java.lang.Object
      implements OCLExtentCreator

  An OCL `extent creator` implementation for CDO.

  The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOExtentCreator.Lazy` | An `extent creator` that creates extent sets which support a lazy populating iterator.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOExtentCreator​(CDOView view)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<EObject>` | `createExtent​(EClass eClass, java.util.concurrent.atomic.AtomicBoolean canceled)` |
    `protected java.util.Set<EObject>` | `createExtent​(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, java.util.concurrent.atomic.AtomicBoolean canceled)` |
    `protected void` | `createExtent​(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, java.util.concurrent.atomic.AtomicBoolean canceled, CDORevisionHandler revisionHandler)` |
    `CDOChangeSetData` | `getChangeSetData()` |
    `protected EObject` | `getEObject​(CDOID id)` |
    `CDORevisionCacheAdder` | `getRevisionCacheAdder()` |
    `CDOView` | `getView()` |
    `protected void` | `handleRevisions​(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, CDORevisionHandler revisionHandler)` |
    `protected boolean` | `isDetached​(CDOID id)` |
    `void` | `setChangeSetData​(CDOChangeSetData changeSetData)` |
    `void` | `setRevisionCacheAdder​(CDORevisionCacheAdder revisionCacheAdder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOExtentCreator

          public CDOExtentCreator​(CDOView view)

  - ### Method Detail

    - #### getView

          public CDOView getView()

    - #### getChangeSetData

          public CDOChangeSetData getChangeSetData()

    - #### setChangeSetData

          public void setChangeSetData​(CDOChangeSetData changeSetData)

    - #### getRevisionCacheAdder

          public CDORevisionCacheAdder getRevisionCacheAdder()

    - #### setRevisionCacheAdder

          public void setRevisionCacheAdder​(CDORevisionCacheAdder revisionCacheAdder)

    - #### createExtent

          public java.util.Set<EObject> createExtent​(EClass eClass,
                                                     java.util.concurrent.atomic.AtomicBoolean canceled)

      Specified by:
        `createExtent` in interface `OCLExtentCreator`

    - #### createExtent

          protected java.util.Set<EObject> createExtent​(EClass eClass,
                                                        IStoreAccessor accessor,
                                                        CDOBranch branch,
                                                        long timeStamp,
                                                        java.util.concurrent.atomic.AtomicBoolean canceled)

    - #### createExtent

          protected void createExtent​(EClass eClass,
                                      IStoreAccessor accessor,
                                      CDOBranch branch,
                                      long timeStamp,
                                      java.util.concurrent.atomic.AtomicBoolean canceled,
                                      CDORevisionHandler revisionHandler)

      Since:
        4.1

    - #### handleRevisions

          protected void handleRevisions​(EClass eClass,
                                         IStoreAccessor accessor,
                                         CDOBranch branch,
                                         long timeStamp,
                                         CDORevisionHandler revisionHandler)

      Since:
        4.2

    - #### isDetached

          protected boolean isDetached​(CDOID id)

    - #### getEObject

          protected EObject getEObject​(CDOID id)
                                throws ObjectNotFoundException

      Throws:
        `ObjectNotFoundException`